summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth-themes.postrm
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
committerB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
commit7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f (patch)
treea5b2fa3712798d6d8fb4fe8062cfc70c90b94b2a /plymouth/debian/plymouth-themes.postrm
parentMerge branch 'waterfox-bump' into 'master' (diff)
downloadstackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.gz
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.bz2
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.zip
plymouth 0.9.4 without systemd
Diffstat (limited to 'plymouth/debian/plymouth-themes.postrm')
-rw-r--r--plymouth/debian/plymouth-themes.postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth-themes.postrm b/plymouth/debian/plymouth-themes.postrm
new file mode 100644
index 0000000..f780360
--- /dev/null
+++ b/plymouth/debian/plymouth-themes.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove)
+ if which update-initramfs >/dev/null 2>&1; then
+ update-initramfs -u
+ fi
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
bgstack15